[tool.poetry]
name = "ftrace2pyplot"
version = "0.1.0"
description = ""
authors = ["Z.Chen <Z.Chen-103@sms.ed.ac.uk>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
matplotlib = "^3.8.3"
seaborn = "^0.13.2"
trappy = "^6.0.1"

[tool.poetry.scripts]
ftrace2pyplot = "ftrace2pyplot.core:main"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

